diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/wifi/test/channel-access-manager-test.cc ns-3.45/src/wifi/test/channel-access-manager-test.cc
--- ns-3.44/src/wifi/test/channel-access-manager-test.cc	2025-03-09 16:55:49.807372600 -0700
+++ ns-3.45/src/wifi/test/channel-access-manager-test.cc	2025-06-01 20:34:45.633702300 -0700
@@ -395,12 +395,10 @@
      * @param at the event time
      * @param duration the duration
      * @param channelType the channel type
-     * @param per20MhzDurations vector that indicates for how long each 20 MHz subchannel is busy
      */
     void AddCcaBusyEvt(uint64_t at,
                        uint64_t duration,
-                       WifiChannelListType channelType = WIFI_CHANLIST_PRIMARY,
-                       const std::vector<Time>& per20MhzDurations = {});
+                       WifiChannelListType channelType = WIFI_CHANLIST_PRIMARY);
     /**
      * Add switching event function
      * @param at the event time
@@ -414,6 +412,25 @@
      */
     void AddRxStartEvt(uint64_t at, uint64_t duration);
 
+    /**
+     * Add a PHY disconnect event consisting in the PHY leaving the link and returning after a
+     * given time.
+     *
+     * @param at the event time
+     * @param duration the duration of the interval during which no PHY is connected
+     * @param threshold the value for the ResetBackoffThreshold attribute
+     * @param from the index of the Txop that has to request channel access when PHY is reconnected
+     */
+    void AddPhyDisconnectEvt(uint64_t at, uint64_t duration, uint64_t threshold, uint32_t from);
+
+    /**
+     * Add a PHY reconnect event consisting in another PHY operating on the link for the given time.
+     *
+     * @param at the event time
+     * @param duration the duration of the interval during which another PHY is connected
+     */
+    void AddPhyReconnectEvt(uint64_t at, uint64_t duration);
+
     typedef std::vector<Ptr<TxopTest<TxopType>>> TxopTests; //!< the TXOP tests typedef
 
     Ptr<FrameExchangeManagerStub<TxopType>> m_feManager;  //!< the Frame Exchange Manager stubbed
@@ -631,8 +648,8 @@
     m_phy = CreateObject<SpectrumWifiPhy>();
     m_phy->SetInterferenceHelper(CreateObject<InterferenceHelper>());
     m_phy->AddChannel(CreateObject<MultiModelSpectrumChannel>());
-    m_phy->SetOperatingChannel(WifiPhy::ChannelTuple{0, chWidth, WIFI_PHY_BAND_UNSPECIFIED, 0});
-    m_phy->ConfigureStandard(WIFI_STANDARD_80211ac); // required to use 160 MHz channels
+    m_phy->SetOperatingChannel(WifiPhy::ChannelTuple{0, chWidth, WIFI_PHY_BAND_6GHZ, 0});
+    m_phy->ConfigureStandard(WIFI_STANDARD_80211be); // required to use 320 MHz channels
     m_ChannelAccessManager->SetupPhyListener(m_phy);
 }
 
@@ -658,6 +675,12 @@
 {
     Simulator::Run();
 
+    m_ChannelAccessManager->RemovePhyListener(m_phy);
+    m_phy->Dispose();
+    m_ChannelAccessManager->Dispose();
+    m_ChannelAccessManager = nullptr;
+    m_feManager = nullptr;
+
     for (auto i = m_txop.begin(); i != m_txop.end(); i++)
     {
         Ptr<TxopTest<TxopType>> state = *i;
@@ -671,11 +694,6 @@
     }
     m_txop.clear();
 
-    m_ChannelAccessManager->RemovePhyListener(m_phy);
-    m_phy->Dispose();
-    m_ChannelAccessManager->Dispose();
-    m_ChannelAccessManager = nullptr;
-    m_feManager = nullptr;
     Simulator::Destroy();
 }
 
@@ -712,7 +730,21 @@
                         MicroSeconds(duration));
     Simulator::Schedule(MicroSeconds(at + duration) - Now(),
                         &ChannelAccessManager::NotifyRxEndErrorNow,
-                        m_ChannelAccessManager);
+                        m_ChannelAccessManager,
+                        WifiTxVector(OfdmPhy::GetOfdmRate6Mbps(),
+                                     1,
+                                     WIFI_PREAMBLE_LONG,
+                                     NanoSeconds(800),
+                                     1,
+                                     1,
+                                     0,
+                                     MHz_u{20},
+                                     false,
+                                     false,
+                                     false,
+                                     0,
+                                     0,
+                                     false));
 }
 
 template <typename TxopType>
@@ -727,7 +759,21 @@
                         MicroSeconds(duration));
     Simulator::Schedule(MicroSeconds(at + timeUntilError) - Now(),
                         &ChannelAccessManager::NotifyRxEndErrorNow,
-                        m_ChannelAccessManager);
+                        m_ChannelAccessManager,
+                        WifiTxVector(OfdmPhy::GetOfdmRate6Mbps(),
+                                     1,
+                                     WIFI_PREAMBLE_LONG,
+                                     NanoSeconds(800),
+                                     1,
+                                     1,
+                                     0,
+                                     MHz_u{20},
+                                     false,
+                                     false,
+                                     false,
+                                     0,
+                                     0,
+                                     false));
     Simulator::Schedule(MicroSeconds(at + timeUntilError) - Now(),
                         &ChannelAccessManager::NotifyCcaBusyStartNow,
                         m_ChannelAccessManager,
@@ -827,9 +873,10 @@
 void
 ChannelAccessManagerTest<TxopType>::AddCcaBusyEvt(uint64_t at,
                                                   uint64_t duration,
-                                                  WifiChannelListType channelType,
-                                                  const std::vector<Time>& per20MhzDurations)
+                                                  WifiChannelListType channelType)
 {
+    const auto chWidth = m_phy->GetChannelWidth();
+    std::vector<Time> per20MhzDurations(chWidth == 20 ? 0 : chWidth / 20, Seconds(0));
     Simulator::Schedule(MicroSeconds(at) - Now(),
                         &ChannelAccessManager::NotifyCcaBusyStartNow,
                         m_ChannelAccessManager,
@@ -859,6 +906,60 @@
                         MicroSeconds(duration));
 }
 
+template <typename TxopType>
+void
+ChannelAccessManagerTest<TxopType>::AddPhyDisconnectEvt(uint64_t at,
+                                                        uint64_t duration,
+                                                        uint64_t threshold,
+                                                        uint32_t from)
+{
+    m_ChannelAccessManager->SetAttribute("ResetBackoffThreshold",
+                                         TimeValue(MicroSeconds(threshold)));
+
+    Simulator::Schedule(MicroSeconds(at) - Now(),
+                        &ChannelAccessManager::RemovePhyListener,
+                        m_ChannelAccessManager,
+                        m_phy);
+
+    Simulator::Schedule(MicroSeconds(at + duration) - Now(), [=, this]() {
+        auto txop = m_txop[from];
+        auto hadFramesToTransmit = txop->HasFramesToTransmit(SINGLE_LINK_OP_ID);
+        m_ChannelAccessManager->SetupPhyListener(m_phy);
+        if (duration > threshold)
+        {
+            // request channel access again because all backoffs have been reset
+            if (m_ChannelAccessManager->NeedBackoffUponAccess(txop, hadFramesToTransmit, true))
+            {
+                txop->GenerateBackoff(0);
+            }
+            m_ChannelAccessManager->RequestAccess(txop);
+        }
+    });
+}
+
+template <typename TxopType>
+void
+ChannelAccessManagerTest<TxopType>::AddPhyReconnectEvt(uint64_t at, uint64_t duration)
+{
+    Simulator::Schedule(MicroSeconds(at) - Now(), [=, this]() {
+        auto newPhy = CreateObject<SpectrumWifiPhy>();
+        newPhy->SetInterferenceHelper(CreateObject<InterferenceHelper>());
+        newPhy->AddChannel(DynamicCast<SpectrumChannel>(m_phy->GetChannel()));
+        newPhy->SetOperatingChannel(m_phy->GetOperatingChannel());
+        newPhy->ConfigureStandard(WIFI_STANDARD_80211be);
+        // connect new PHY
+        m_ChannelAccessManager->SetupPhyListener(newPhy);
+
+        Simulator::Schedule(MicroSeconds(duration), [=, this]() {
+            // disconnect new PHY
+            m_ChannelAccessManager->RemovePhyListener(newPhy);
+            // reconnect previous PHY
+            m_ChannelAccessManager->SetupPhyListener(m_phy);
+            newPhy->Dispose();
+        });
+    });
+}
+
 /*
  * Specialization of DoRun () method for DCF
  */
@@ -1296,6 +1397,66 @@
     AddAccessRequest(82, 20, 84, 0);
     EndTest();
 
+    // Check alignment at slot boundary after failed reception (backoff = 0).
+    // Also, check that CCA BUSY on a secondary channel does not affect channel access:
+    //  20         50     56           66             76     96
+    //              |             cca_busy             |
+    //   |          | <------eifs------>|              |      |
+    //   |    rx    | sifs | acktxttime | sifs + aifsn |  tx  |
+    //                   |
+    //                  55 request access
+    StartTest(4, 6, 10, 20, MHz_u{320});
+    AddTxop(1);
+    AddRxErrorEvt(20, 30);
+    AddCcaBusyEvt(50, 26, WIFI_CHANLIST_SECONDARY);
+    AddAccessRequest(55, 20, 76, 0);
+    EndTest();
+
+    // Check alignment at slot boundary after failed reception (backoff = 0).
+    // Also, check that CCA BUSY on a secondary channel does not affect channel access:
+    //  20         50     56           66             76     96
+    //              |             cca_busy             |
+    //   |          | <------eifs------>|              |      |
+    //   |    rx    | sifs | acktxttime | sifs + aifsn |  tx  |
+    //                                        |
+    //                                       70 request access
+    StartTest(4, 6, 10, 20, MHz_u{320});
+    AddTxop(1);
+    AddRxErrorEvt(20, 30);
+    AddCcaBusyEvt(50, 26, WIFI_CHANLIST_SECONDARY40);
+    AddAccessRequest(70, 20, 76, 0);
+    EndTest();
+
+    // Check alignment at slot boundary after failed reception (backoff = 0).
+    // Also, check that CCA BUSY on a secondary channel does not affect channel access:
+    //  20         50     56           66             76     84
+    //              |             cca_busy                    |
+    //   |          | <------eifs------>|              |      |
+    //   |    rx    | sifs | acktxttime | sifs + aifsn | idle |  tx  |
+    //                                                     |
+    //                                                    82 request access
+    StartTest(4, 6, 10, 20, MHz_u{320});
+    AddTxop(1);
+    AddRxErrorEvt(20, 30);
+    AddCcaBusyEvt(50, 34, WIFI_CHANLIST_SECONDARY80);
+    AddAccessRequest(82, 20, 84, 0);
+    EndTest();
+
+    // Check alignment at slot boundary after failed reception (backoff = 0).
+    // Also, check that CCA BUSY on a secondary channel does not affect channel access:
+    //  20         50     56           66             76     84
+    //              |             cca_busy                    |
+    //   |          | <------eifs------>|              |      |
+    //   |    rx    | sifs | acktxttime | sifs + aifsn | idle |  tx  |
+    //                                                     |
+    //                                                    82 request access
+    StartTest(4, 6, 10, 20, MHz_u{320});
+    AddTxop(1);
+    AddRxErrorEvt(20, 30);
+    AddCcaBusyEvt(50, 34, WIFI_CHANLIST_SECONDARY160);
+    AddAccessRequest(82, 20, 84, 0);
+    EndTest();
+
     // Check backoff decrement at slot boundaries. Medium idle during backoff
     //  20           50     56      60         64         68         72         76     96
     //   |     rx     | sifs | aifsn |   idle   |   idle   |   idle   |   idle   |  tx  |
@@ -1310,13 +1471,11 @@
     EndTest();
 
     // Check backoff decrement at slot boundaries. Medium becomes busy during backoff
-    //  20           50     56      60     61     71     77      81         85     87     97    103
-    //  107    127
-    //   |     rx     | sifs | aifsn | idle |  rx  | sifs | aifsn |   idle   | idle |  rx  | sifs |
-    //   aifsn |  tx  |
-    //      |                        |                            |          |
-    //     30 request access.    decrement                    decrement  decrement
-    //        backoff slots: 3    slots: 2                     slots: 1   slots: 0
+    //  20     50     56      60     61   71     77      81     85     87     97    103     107  127
+    //   |  rx  | sifs | aifsn | idle | rx | sifs | aifsn | idle | idle |  rx  | sifs | aifsn | tx |
+    //      |                  |                          |      |
+    //   30 request access.  decrement                decrement  decrement
+    //    backoff slots: 3    slots: 2                 slots: 1   slots: 0
     StartTest(4, 6, 10);
     AddTxop(1);
     AddRxOkEvt(20, 30);
@@ -1325,6 +1484,49 @@
     AddAccessRequest(30, 20, 107, 0);
     ExpectBackoff(30, 3, 0);
     EndTest();
+
+    // Check backoff reset after no PHY operates on a link for more than the threshold.
+    //  20     50     56      60     61       71     77      81    101
+    //   |  rx  | sifs | aifsn | idle | no phy | sifs | aifsn |  tx  |
+    //      |                  |               |
+    //   30 request access.  decrement       reset
+    //    backoff slots: 3    slots: 2       backoff
+    StartTest(4, 6, 10);
+    AddTxop(1);
+    AddRxOkEvt(20, 30);
+    AddAccessRequest(30, 20, 81, 0);
+    ExpectBackoff(30, 3, 0);
+    AddPhyDisconnectEvt(61, 10, 0, 0);
+    EndTest();
+
+    // Check backoff freeze while no PHY operates on a link for less than the threshold.
+    //  20     50     56      60     61       71     77      81     85     89    109
+    //   |  rx  | sifs | aifsn | idle | no phy | sifs | aifsn | idle | idle |  tx  |
+    //      |                  |               |              |      |
+    //   30 request access.  decrement       resume      decrement  decrement
+    //    backoff slots: 3    slots: 2       backoff      slots: 1   slots: 0
+    StartTest(4, 6, 10);
+    AddTxop(1);
+    AddRxOkEvt(20, 30);
+    AddAccessRequest(30, 20, 89, 0);
+    ExpectBackoff(30, 3, 0);
+    AddPhyDisconnectEvt(61, 10, 20, 0);
+    EndTest();
+
+    // Check backoff left unmodified when previous PHY is reconnected to the link
+    //  20         50     56      60 61    64       68   71  72       76   96
+    //   |          |      |       |  |----- new PHY -----|   |        |    |
+    //   |    rx    | sifs | aifsn |  idle  |  idle  |  idle  |  idle  | tx |
+    //      |                      |        |        |        |
+    //   30 request access. decrement  decrement  decrement  decrement
+    //    backoff slots: 4   slots: 3   slots: 2   slots: 1   slots: 0
+    StartTest(4, 6, 10);
+    AddTxop(1);
+    AddRxOkEvt(20, 30);
+    AddAccessRequest(30, 20, 76, 0);
+    ExpectBackoff(30, 4, 0);
+    AddPhyReconnectEvt(61, 10);
+    EndTest();
 }
 
 /**
@@ -1496,7 +1698,7 @@
     uint8_t channel = 0;
     std::list<WifiChannelListType> busyChannels;
 
-    for (auto chWidth : {MHz_u{20}, MHz_u{40}, MHz_u{80}, MHz_u{160}})
+    for (auto chWidth : {MHz_u{20}, MHz_u{40}, MHz_u{80}, MHz_u{160}, MHz_u{320}})
     {
         busyChannels.push_back(static_cast<WifiChannelListType>(channel));
 
@@ -1514,8 +1716,8 @@
                 m_phy->SetInterferenceHelper(CreateObject<InterferenceHelper>());
                 m_phy->AddChannel(CreateObject<MultiModelSpectrumChannel>());
                 m_phy->SetOperatingChannel(
-                    WifiPhy::ChannelTuple{0, chWidth, WIFI_PHY_BAND_5GHZ, 0});
-                m_phy->ConfigureStandard(WIFI_STANDARD_80211ax);
+                    WifiPhy::ChannelTuple{0, chWidth, WIFI_PHY_BAND_6GHZ, 0});
+                m_phy->ConfigureStandard(WIFI_STANDARD_80211be);
                 // call SetupPhyListener to initialize the ChannelAccessManager
                 // last busy structs
                 m_cam->SetupPhyListener(m_phy);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/wifi/test/examples-to-run.py ns-3.45/src/wifi/test/examples-to-run.py
--- ns-3.44/src/wifi/test/examples-to-run.py	2025-03-09 16:55:49.807372600 -0700
+++ ns-3.45/src/wifi/test/examples-to-run.py	2025-06-01 20:34:45.633702300 -0700
@@ -2139,6 +2139,16 @@
         "False",
     ),
     (
+        "wifi-manager-example --wifiManager=MinstrelHt --standard=802.11be-6GHz --serverChannelWidth=320 --clientChannelWidth=320 --serverShortGuardInterval=1600 --clientShortGuardInterval=1600 --serverNss=1 --clientNss=1 --stepTime=0.1",
+        "True",
+        "True",
+    ),
+    (
+        "wifi-manager-example --wifiManager=Ideal --standard=802.11be-6GHz --serverChannelWidth=320 --clientChannelWidth=320 --serverShortGuardInterval=1600 --clientShortGuardInterval=1600 --serverNss=1 --clientNss=1 --stepTime=0.1",
+        "True",
+        "True",
+    ),
+    (
         "wifi-test-interference-helper --enableCapture=0 --txPowerA=5 --txPowerB=15 --delay=10us --txModeA=OfdmRate6Mbps --txModeB=OfdmRate6Mbps --checkResults=1 --expectRxASuccessful=0 --expectRxBSuccessful=0",
         "True",
         "True",
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/wifi/test/inter-bss-test-suite.cc ns-3.45/src/wifi/test/inter-bss-test-suite.cc
--- ns-3.44/src/wifi/test/inter-bss-test-suite.cc	2025-03-09 16:55:49.807372600 -0700
+++ ns-3.45/src/wifi/test/inter-bss-test-suite.cc	2025-06-01 20:34:45.633702300 -0700
@@ -879,15 +879,15 @@
         Ptr<HeConfiguration> heConfiguration = device->GetHeConfiguration();
         if (i == 0)
         {
-            heConfiguration->SetAttribute("BssColor", UintegerValue(m_bssColor1));
+            heConfiguration->m_bssColor = m_bssColor1;
         }
         else if (i == 1)
         {
-            heConfiguration->SetAttribute("BssColor", UintegerValue(m_bssColor2));
+            heConfiguration->m_bssColor = m_bssColor2;
         }
         else
         {
-            heConfiguration->SetAttribute("BssColor", UintegerValue(m_bssColor3));
+            heConfiguration->m_bssColor = m_bssColor3;
         }
     }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/wifi/test/spectrum-wifi-phy-test.cc ns-3.45/src/wifi/test/spectrum-wifi-phy-test.cc
--- ns-3.44/src/wifi/test/spectrum-wifi-phy-test.cc	2025-03-09 16:55:49.807372600 -0700
+++ ns-3.45/src/wifi/test/spectrum-wifi-phy-test.cc	2025-06-01 20:34:45.634702200 -0700
@@ -6,7 +6,8 @@
 
 #include "ns3/boolean.h"
 #include "ns3/constant-position-mobility-model.h"
-#include "ns3/he-phy.h" //includes OFDM PHY
+#include "ns3/eht-configuration.h"
+#include "ns3/eht-phy.h" //includes all previous PHYs
 #include "ns3/interference-helper.h"
 #include "ns3/log.h"
 #include "ns3/mobility-helper.h"
@@ -327,9 +328,9 @@
         ++m_notifyRxEndOk;
     }
 
-    void NotifyRxEndError() override
+    void NotifyRxEndError(const WifiTxVector& txVector) override
     {
-        NS_LOG_FUNCTION(this);
+        NS_LOG_FUNCTION(this << txVector);
         ++m_notifyRxEndError;
     }
 
@@ -508,9 +509,9 @@
 void
 SpectrumWifiPhyFilterTest::SendPpdu()
 {
-    WifiTxVector txVector{HePhy::GetHeMcs0(),
+    WifiTxVector txVector{EhtPhy::GetEhtMcs0(),
                           0,
-                          WIFI_PREAMBLE_HE_SU,
+                          WIFI_PREAMBLE_EHT_MU,
                           NanoSeconds(800),
                           1,
                           1,
@@ -549,10 +550,11 @@
     expectedNumBands += (m_rxChannelWidth / MHz_u{40});
     expectedNumBands += (m_rxChannelWidth / MHz_u{80});
     expectedNumBands += (m_rxChannelWidth / MHz_u{160});
+    expectedNumBands += (m_rxChannelWidth / MHz_u{320});
     expectedNumBands += m_rxPhy
-                            ->GetHeRuBands(m_rxPhy->GetCurrentInterface(),
-                                           m_rxPhy->GetGuardBandwidth(
-                                               m_rxPhy->GetCurrentInterface()->GetChannelWidth()))
+                            ->GetRuBands(m_rxPhy->GetCurrentInterface(),
+                                         m_rxPhy->GetGuardBandwidth(
+                                             m_rxPhy->GetCurrentInterface()->GetChannelWidth()))
                             .size();
 
     NS_TEST_ASSERT_MSG_EQ(numBands,
@@ -618,12 +620,15 @@
     m_txPhy->SetErrorRateModel(txErrorModel);
     m_txPhy->SetDevice(txDev);
     m_txPhy->AddChannel(spectrumChannel);
-    m_txPhy->ConfigureStandard(WIFI_STANDARD_80211ax);
+    m_txPhy->ConfigureStandard(WIFI_STANDARD_80211be);
+    txDev->SetStandard(WIFI_STANDARD_80211be);
     auto apMobility = CreateObject<ConstantPositionMobilityModel>();
     m_txPhy->SetMobility(apMobility);
     txDev->SetPhy(m_txPhy);
     txNode->AggregateObject(apMobility);
     txNode->AddDevice(txDev);
+    auto txEhtConfiguration = CreateObject<EhtConfiguration>();
+    txDev->SetEhtConfiguration(txEhtConfiguration);
 
     auto rxNode = CreateObject<Node>();
     auto rxDev = CreateObject<WifiNetDevice>();
@@ -632,13 +637,17 @@
     m_rxPhy->SetInterferenceHelper(rxInterferenceHelper);
     auto rxErrorModel = CreateObject<NistErrorRateModel>();
     m_rxPhy->SetErrorRateModel(rxErrorModel);
+    m_rxPhy->SetDevice(rxDev);
     m_rxPhy->AddChannel(spectrumChannel);
-    m_rxPhy->ConfigureStandard(WIFI_STANDARD_80211ax);
+    m_rxPhy->ConfigureStandard(WIFI_STANDARD_80211be);
+    rxDev->SetStandard(WIFI_STANDARD_80211be);
     auto sta1Mobility = CreateObject<ConstantPositionMobilityModel>();
     m_rxPhy->SetMobility(sta1Mobility);
     rxDev->SetPhy(m_rxPhy);
     rxNode->AggregateObject(sta1Mobility);
     rxNode->AddDevice(rxDev);
+    auto rxEhtConfiguration = CreateObject<EhtConfiguration>();
+    rxDev->SetEhtConfiguration(rxEhtConfiguration);
     m_rxPhy->TraceConnectWithoutContext("PhyRxBegin",
                                         MakeCallback(&SpectrumWifiPhyFilterTest::RxCallback, this));
 }
@@ -660,52 +669,58 @@
     {
     case 20:
     default:
-        txFrequency = MHz_u{5180};
+        txFrequency = MHz_u{5955};
         break;
     case 40:
-        txFrequency = MHz_u{5190};
+        txFrequency = MHz_u{5965};
         break;
     case 80:
-        txFrequency = MHz_u{5210};
+        txFrequency = MHz_u{5985};
         break;
     case 160:
-        txFrequency = MHz_u{5250};
+        txFrequency = MHz_u{6025};
+        break;
+    case 320:
+        txFrequency = MHz_u{6105};
         break;
     }
     auto txChannelNum = WifiPhyOperatingChannel::FindFirst(0,
                                                            txFrequency,
                                                            m_txChannelWidth,
-                                                           WIFI_STANDARD_80211ax,
-                                                           WIFI_PHY_BAND_5GHZ)
+                                                           WIFI_STANDARD_80211be,
+                                                           WIFI_PHY_BAND_6GHZ)
                             ->number;
     m_txPhy->SetOperatingChannel(
-        WifiPhy::ChannelTuple{txChannelNum, m_txChannelWidth, WIFI_PHY_BAND_5GHZ, 0});
+        WifiPhy::ChannelTuple{txChannelNum, m_txChannelWidth, WIFI_PHY_BAND_6GHZ, 0});
 
     MHz_u rxFrequency;
     switch (static_cast<uint16_t>(m_rxChannelWidth))
     {
     case 20:
     default:
-        rxFrequency = MHz_u{5180};
+        rxFrequency = MHz_u{5955};
         break;
     case 40:
-        rxFrequency = MHz_u{5190};
+        rxFrequency = MHz_u{5965};
         break;
     case 80:
-        rxFrequency = MHz_u{5210};
+        rxFrequency = MHz_u{5985};
         break;
     case 160:
-        rxFrequency = MHz_u{5250};
+        rxFrequency = MHz_u{6025};
+        break;
+    case 320:
+        rxFrequency = MHz_u{6105};
         break;
     }
     auto rxChannelNum = WifiPhyOperatingChannel::FindFirst(0,
                                                            rxFrequency,
                                                            m_rxChannelWidth,
-                                                           WIFI_STANDARD_80211ax,
-                                                           WIFI_PHY_BAND_5GHZ)
+                                                           WIFI_STANDARD_80211be,
+                                                           WIFI_PHY_BAND_6GHZ)
                             ->number;
     m_rxPhy->SetOperatingChannel(
-        WifiPhy::ChannelTuple{rxChannelNum, m_rxChannelWidth, WIFI_PHY_BAND_5GHZ, 0});
+        WifiPhy::ChannelTuple{rxChannelNum, m_rxChannelWidth, WIFI_PHY_BAND_6GHZ, 0});
 
     Simulator::Schedule(Seconds(1), &SpectrumWifiPhyFilterTest::SendPpdu, this);
 
@@ -715,69 +730,15 @@
 void
 SpectrumWifiPhyFilterTest::DoRun()
 {
-    m_txChannelWidth = MHz_u{20};
-    m_rxChannelWidth = MHz_u{20};
-    RunOne();
-
-    m_txChannelWidth = MHz_u{40};
-    m_rxChannelWidth = MHz_u{40};
-    RunOne();
-
-    m_txChannelWidth = MHz_u{80};
-    m_rxChannelWidth = MHz_u{80};
-    RunOne();
-
-    m_txChannelWidth = MHz_u{160};
-    m_rxChannelWidth = MHz_u{160};
-    RunOne();
-
-    m_txChannelWidth = MHz_u{20};
-    m_rxChannelWidth = MHz_u{40};
-    RunOne();
-
-    m_txChannelWidth = MHz_u{20};
-    m_rxChannelWidth = MHz_u{80};
-    RunOne();
-
-    m_txChannelWidth = MHz_u{40};
-    m_rxChannelWidth = MHz_u{80};
-    RunOne();
-
-    m_txChannelWidth = MHz_u{20};
-    m_rxChannelWidth = MHz_u{160};
-    RunOne();
-
-    m_txChannelWidth = MHz_u{40};
-    m_rxChannelWidth = MHz_u{160};
-    RunOne();
-
-    m_txChannelWidth = MHz_u{80};
-    m_rxChannelWidth = MHz_u{160};
-    RunOne();
-
-    m_txChannelWidth = MHz_u{40};
-    m_rxChannelWidth = MHz_u{20};
-    RunOne();
-
-    m_txChannelWidth = MHz_u{80};
-    m_rxChannelWidth = MHz_u{20};
-    RunOne();
-
-    m_txChannelWidth = MHz_u{80};
-    m_rxChannelWidth = MHz_u{40};
-    RunOne();
-
-    m_txChannelWidth = MHz_u{160};
-    m_rxChannelWidth = MHz_u{20};
-    RunOne();
-
-    m_txChannelWidth = MHz_u{160};
-    m_rxChannelWidth = MHz_u{40};
-    RunOne();
-
-    m_txChannelWidth = MHz_u{160};
-    m_rxChannelWidth = MHz_u{80};
-    RunOne();
+    for (const auto txBw : {MHz_u{20}, MHz_u{40}, MHz_u{80}, MHz_u{160}, MHz_u{320}})
+    {
+        for (const auto rxBw : {MHz_u{20}, MHz_u{40}, MHz_u{80}, MHz_u{160}, MHz_u{320}})
+        {
+            m_txChannelWidth = txBw;
+            m_rxChannelWidth = rxBw;
+            RunOne();
+        }
+    }
 
     Simulator::Destroy();
 }
